## javax.persistence.metamodel
Interface ManagedType<X>

All Superinterfaces:
  Type<X>

All Known Subinterfaces:
  EmbeddableType<X>, EntityType<X>, IdentifiableType<X>, MappedSuperclassType<X>

    public interface ManagedType<X>

extends Type<X>

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`Type.PersistenceType`

Method Summary
`Attribute<? super X,?>` `getAttribute(java.lang.String name)`
`java.util.Set<Attribute<? super X,?>>` `getAttributes()`
`CollectionAttribute<? super X,?>` `getCollection(java.lang.String name)`

`

`<E> CollectionAttribute<? super X,E>`

`

`getCollection(java.lang.String name, java.lang.Class<E> elementType)`

`Attribute<X,?>` `getDeclaredAttribute(java.lang.String name)`
`java.util.Set<Attribute<X,?>>` `getDeclaredAttributes()`
`CollectionAttribute<X,?>` `getDeclaredCollection(java.lang.String name)`

`

`<E> CollectionAttribute<X,E>`

`

`getDeclaredCollection(java.lang.String name, java.lang.Class<E> elementType)`

`ListAttribute<X,?>` `getDeclaredList(java.lang.String name)`

`

`<E> ListAttribute<X,E>`

`

`getDeclaredList(java.lang.String name, java.lang.Class<E> elementType)`

`MapAttribute<X,?,?>` `getDeclaredMap(java.lang.String name)`

`

`<K,V> MapAttribute<X,K,V>`

`

`getDeclaredMap(java.lang.String name, java.lang.Class<K> keyType, java.lang.Class<V> valueType)`

`java.util.Set<PluralAttribute<X,?,?>>` `getDeclaredPluralAttributes()`
`SetAttribute<X,?>` `getDeclaredSet(java.lang.String name)`

`

`<E> SetAttribute<X,E>`

`

`getDeclaredSet(java.lang.String name, java.lang.Class<E> elementType)`

`SingularAttribute<X,?>` `getDeclaredSingularAttribute(java.lang.String name)`

`

`<Y> SingularAttribute<X,Y>`

`

`getDeclaredSingularAttribute(java.lang.String name, java.lang.Class<Y> type)`

`java.util.Set<SingularAttribute<X,?>>` `getDeclaredSingularAttributes()`
`ListAttribute<? super X,?>` `getList(java.lang.String name)`

`

`<E> ListAttribute<? super X,E>`

`

`getList(java.lang.String name, java.lang.Class<E> elementType)`

`MapAttribute<? super X,?,?>` `getMap(java.lang.String name)`

`

`<K,V> MapAttribute<? super X,K,V>`

`

`getMap(java.lang.String name, java.lang.Class<K> keyType, java.lang.Class<V> valueType)`

`java.util.Set<PluralAttribute<? super X,?,?>>` `getPluralAttributes()`
`SetAttribute<? super X,?>` `getSet(java.lang.String name)`

`

`<E> SetAttribute<? super X,E>`

`

`getSet(java.lang.String name, java.lang.Class<E> elementType)`

`SingularAttribute<? super X,?>` `getSingularAttribute(java.lang.String name)`

`

`<Y> SingularAttribute<? super X,Y>`

`

`getSingularAttribute(java.lang.String name, java.lang.Class<Y> type)`

`java.util.Set<SingularAttribute<? super X,?>>` `getSingularAttributes()`

Methods inherited from interface javax.persistence.metamodel.Type
`getJavaType, getPersistenceType`

Method Detail

### getAttributes

    java.util.Set<Attribute<? super X,?>> getAttributes()

### getDeclaredAttributes

    java.util.Set<Attribute<X,?>> getDeclaredAttributes()

### getSingularAttribute

    <Y> SingularAttribute<? super X,Y> getSingularAttribute(java.lang.String name,
                                                            java.lang.Class<Y> type)

### getDeclaredSingularAttribute

    <Y> SingularAttribute<X,Y> getDeclaredSingularAttribute(java.lang.String name,
                                                            java.lang.Class<Y> type)

### getSingularAttributes

    java.util.Set<SingularAttribute<? super X,?>> getSingularAttributes()

### getDeclaredSingularAttributes

    java.util.Set<SingularAttribute<X,?>> getDeclaredSingularAttributes()

### getCollection

    <E> CollectionAttribute<? super X,E> getCollection(java.lang.String name,
                                                       java.lang.Class<E> elementType)

### getDeclaredCollection

    <E> CollectionAttribute<X,E> getDeclaredCollection(java.lang.String name,
                                                       java.lang.Class<E> elementType)

### getSet

    <E> SetAttribute<? super X,E> getSet(java.lang.String name,
                                         java.lang.Class<E> elementType)

### getDeclaredSet

    <E> SetAttribute<X,E> getDeclaredSet(java.lang.String name,
                                         java.lang.Class<E> elementType)

### getList

    <E> ListAttribute<? super X,E> getList(java.lang.String name,
                                           java.lang.Class<E> elementType)

### getDeclaredList

    <E> ListAttribute<X,E> getDeclaredList(java.lang.String name,
                                           java.lang.Class<E> elementType)

### getMap

    <K,V> MapAttribute<? super X,K,V> getMap(java.lang.String name,
                                             java.lang.Class<K> keyType,
                                             java.lang.Class<V> valueType)

### getDeclaredMap

    <K,V> MapAttribute<X,K,V> getDeclaredMap(java.lang.String name,
                                             java.lang.Class<K> keyType,
                                             java.lang.Class<V> valueType)

### getPluralAttributes

    java.util.Set<PluralAttribute<? super X,?,?>> getPluralAttributes()

### getDeclaredPluralAttributes

    java.util.Set<PluralAttribute<X,?,?>> getDeclaredPluralAttributes()

### getAttribute

    Attribute<? super X,?> getAttribute(java.lang.String name)

### getDeclaredAttribute

    Attribute<X,?> getDeclaredAttribute(java.lang.String name)

### getSingularAttribute

    SingularAttribute<? super X,?> getSingularAttribute(java.lang.String name)

### getDeclaredSingularAttribute

    SingularAttribute<X,?> getDeclaredSingularAttribute(java.lang.String name)

### getCollection

    CollectionAttribute<? super X,?> getCollection(java.lang.String name)

### getDeclaredCollection

    CollectionAttribute<X,?> getDeclaredCollection(java.lang.String name)

### getSet

    SetAttribute<? super X,?> getSet(java.lang.String name)

### getDeclaredSet

    SetAttribute<X,?> getDeclaredSet(java.lang.String name)

### getList

    ListAttribute<? super X,?> getList(java.lang.String name)

### getDeclaredList

    ListAttribute<X,?> getDeclaredList(java.lang.String name)

### getMap

    MapAttribute<? super X,?,?> getMap(java.lang.String name)

### getDeclaredMap

    MapAttribute<X,?,?> getDeclaredMap(java.lang.String name)